Public Member Functions | Public Attributes

# cv::FileNodeIterator Class Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions
| FileNodeIterator ()
| the default constructor
| FileNodeIterator (const CvFileStorage *fs, const CvFileNode *node, size_t ofs=0)
| the full constructor set to the ofs-th element of the node
| FileNodeIterator (const FileNodeIterator &it)
| the copy constructor
FileNode | operator* () const
| returns the currently observed element
FileNodeIterator & | operator++ ()
| moves iterator to the next node
FileNodeIterator | operator++ (int)
| moves iterator to the next node
FileNodeIterator & | operator+= (int)
| moves iterator forward by the specified offset (possibly negative)
FileNodeIterator & | operator-- ()
| moves iterator to the previous node
FileNodeIterator | operator-- (int)
| moves iterator to the previous node
FileNodeIterator & | operator-= (int)
| moves iterator backward by the specified offset (possibly negative)
FileNode | operator-> () const
| accesses the currently observed element methods
FileNodeIterator & | readRaw (const string &fmt, uchar *vec, size_t maxCount=(size_t) INT_MAX)
| reads the next maxCount elements (or less, if the sequence/mapping last element occurs earlier) to the buffer with the specified format
## Public Attributes
const CvFileNode * | container
const CvFileStorage * | fs
CvSeqReader | reader
size_t | remaining

## Detailed Description

File Node Iterator

The class is used for iterating sequences (usually) and mappings.

## Constructor & Destructor Documentation

cv::FileNodeIterator::FileNodeIterator | ( | ) |

the default constructor

cv::FileNodeIterator::FileNodeIterator | ( | const CvFileStorage * | fs,
|  | const CvFileNode * | node,
|  | size_t | ofs = `0`
| ) |  |

the full constructor set to the ofs-th element of the node

cv::FileNodeIterator::FileNodeIterator | ( | const FileNodeIterator & | it ) |

the copy constructor

## Member Function Documentation

FileNode cv::FileNodeIterator::operator* | ( | ) | const`[inline]`

returns the currently observed element

FileNodeIterator cv::FileNodeIterator::operator++ | ( | int | ) |

moves iterator to the next node

FileNodeIterator& cv::FileNodeIterator::operator++ | ( | ) |

moves iterator to the next node

FileNodeIterator& cv::FileNodeIterator::operator+= | ( | int | ) |

moves iterator forward by the specified offset (possibly negative)

FileNodeIterator& cv::FileNodeIterator::operator-- | ( | ) |

moves iterator to the previous node

FileNodeIterator cv::FileNodeIterator::operator-- | ( | int | ) |

moves iterator to the previous node

FileNodeIterator& cv::FileNodeIterator::operator-= | ( | int | ) |

moves iterator backward by the specified offset (possibly negative)

FileNode cv::FileNodeIterator::operator-> | ( | ) | const`[inline]`

accesses the currently observed element methods

FileNodeIterator& cv::FileNodeIterator::readRaw | ( | const string & | fmt,
|  | uchar * | vec,
|  | size_t | maxCount = `(size_t) INT_MAX`
| ) |  |

reads the next maxCount elements (or less, if the sequence/mapping last element occurs earlier) to the buffer with the specified format

## Member Data Documentation

const CvFileNode* cv::FileNodeIterator::container

const CvFileStorage* cv::FileNodeIterator::fs

CvSeqReader cv::FileNodeIterator::reader

size_t cv::FileNodeIterator::remaining

The documentation for this class was generated from the following files:

- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines